Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044249
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajoralways2020-06-01 13:592020-06-15 13:37
Reporterleyre-iriarteView Statuspublic 
Assigned Tocberner 
PriorityhighResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision050377783ee0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR20Q1SCM revision 
Review Assigned Toalostale
Web browser
ModulesQuery/List widget
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044249: Error appears when role does not have widgets

DescriptionWhen I switch to a role without widgets, I get an error.
Looking at the code, in MyOpenbravoComponent.java the list of widgets (Line 338) is empty.
By default the access of the widgets for any role is
"allow_anonymous_access = N".
Steps To Reproduce1.Create a role without widgets.
2.Switch to that role.
Proposed SolutionSee diff on attachments .
TagsNo tags attached.
Attached Filesdiff file icon Issue_role_none_Widget.diff [^] (1,236 bytes) 2020-06-01 13:59 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0120758)
cberner (developer)
2020-06-09 10:19

Merge Request: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/82 [^]
(0120820)
hgbot (developer)
2020-06-12 10:27

Repository: erp/devel/pi
Changeset: 050377783ee0ee76863cdee011f9735e8bfd5271
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Tue Jun 09 10:15:10 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/050377783ee0ee76863cdee011f9735e8bfd5271 [^]

Fixes ISSUE-44249: Fix error when loging as user without access to any widget

When loging as a user with no access to any widget an error appeared
with an alert popping up.
- As a fix, a check if there's no access to any widget is made and if so,
widget instances aren't retrieved for that user.

---
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoComponent.java
---

- Issue History
Date Modified Username Field Change
2020-06-01 13:59 leyre-iriarte New Issue
2020-06-01 13:59 leyre-iriarte Assigned To => platform
2020-06-01 13:59 leyre-iriarte File Added: Issue_role_none_Widget.diff
2020-06-01 13:59 leyre-iriarte Modules => Query/List widget
2020-06-01 13:59 leyre-iriarte Triggers an Emergency Pack => No
2020-06-01 14:05 leyre-iriarte Priority low => high
2020-06-01 14:05 leyre-iriarte Severity minor => major
2020-06-01 14:05 leyre-iriarte Description Updated View Revisions
2020-06-09 10:19 cberner Assigned To platform => cberner
2020-06-09 10:19 cberner Status new => scheduled
2020-06-09 10:19 cberner Note Added: 0120758
2020-06-12 10:27 hgbot Checkin
2020-06-12 10:27 hgbot Note Added: 0120820
2020-06-12 10:27 hgbot Status scheduled => resolved
2020-06-12 10:27 hgbot Resolution open => fixed
2020-06-12 10:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/050377783ee0ee76863cdee011f9735e8bfd5271 [^]
2020-06-12 11:24 alostale Review Assigned To => alostale
2020-06-12 11:24 alostale Status resolved => closed
2020-06-12 11:24 alostale Fixed in Version => 3.0PR20Q3
2020-06-15 13:37 hgbot Checkin
2020-06-15 13:37 hgbot Note Added: 0120848
2020-06-15 13:41 alostale Note Deleted: 0120848


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker